GET /repos/{owner}/{repo}/rulesets/{ruleset_id}/history

github.com:github-rest-api

Summary: Get repository ruleset history
Operation ID: repos/get-repo-ruleset-history
Auth: bearer_token
Description

Get the history of a repository ruleset.

Parameters (5)

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

ruleset_id (integer, path, required)

The ID of the ruleset.

No probe data for this endpoint yet.